import React, { useState } from 'react';
import OrderButtons from './OrderButtons';
import { FiChevronRight } from 'react-icons/fi';
import OrderDetails from './OrderDetails';

const OrderIndexItem = ({ order }) => {

  const { 
    id,
    orderId, 
    status, 
    orderItems, 
    createdAt, 
    modifiedAt
  } = order;

  const [showDetails, setShowDetails] = useState(false);

  const actions = ( status === "FULFILLED" || status === "CANCELLED" ? 
  <div className={`oii-status ${status.toLowerCase()}`}>{status}</div> :
  <OrderButtons order={order} />
  );

  return (
    <div className="oii">
      <div className="oii-container">
        <div className="oii-left">
          <FiChevronRight className={`oii-drop ${showDetails ? "rotate" : ""}`} onClick={() => setShowDetails(!showDetails)}/>
          <div className="oii-num">{`Order #:${orderId}`}</div>
        </div>
        {actions}
      </div>

      <OrderDetails showDetails={showDetails} order={order} />
    </div>
  )
};

export default OrderIndexItem;
